OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_Array1OfFlow Class Reference

`#include <IGESAppli_Array1OfFlow.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESAppli_Array1OfFlow (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESAppli_Array1OfFlow (const Handle(IGESAppli_Flow)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESAppli_Flow)&V)
Standard_EXPORT void | Destroy ()
| ~IGESAppli_Array1OfFlow ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESAppli_Array1OfFlow & | Assign (const IGESAppli_Array1OfFlow &Other)
const IGESAppli_Array1OfFlow & | operator= (const IGESAppli_Array1OfFlow &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESAppli_Flow)&Value)
const Handle_IGESAppli_Flow & | Value (const Standard_Integer Index) const
const Handle_IGESAppli_Flow & | operator() (const Standard_Integer Index) const
Handle_IGESAppli_Flow & | ChangeValue (const Standard_Integer Index)
Handle_IGESAppli_Flow & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESAppli_Array1OfFlow (const IGESAppli_Array1OfFlow &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_Array1OfFlow::IGESAppli_Array1OfFlow | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESAppli_Array1OfFlow::IGESAppli_Array1OfFlow | ( | const Handle(IGESAppli_Flow)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESAppli_Array1OfFlow::~IGESAppli_Array1OfFlow | ( |  | ) | `[inline]`

Standard_EXPORT IGESAppli_Array1OfFlow::IGESAppli_Array1OfFlow | ( | const IGESAppli_Array1OfFlow & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESAppli_Array1OfFlow& IGESAppli_Array1OfFlow::Assign | ( | const IGESAppli_Array1OfFlow & | Other | ) |

Handle_IGESAppli_Flow& IGESAppli_Array1OfFlow::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESAppli_Array1OfFlow::Destroy | ( |  | ) |

Standard_EXPORT void IGESAppli_Array1OfFlow::Init | ( | const Handle(IGESAppli_Flow)& | V | ) |

Standard_Boolean IGESAppli_Array1OfFlow::IsAllocated | ( |  | ) | const

Standard_Integer IGESAppli_Array1OfFlow::Length | ( |  | ) | const

Standard_Integer IGESAppli_Array1OfFlow::Lower | ( |  | ) | const

void IGESAppli_Array1OfFlow::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESAppli_Array1OfFlow::operator new | ( | size_t | size | ) | `[inline]`

void* IGESAppli_Array1OfFlow::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESAppli_Flow& IGESAppli_Array1OfFlow::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESAppli_Flow& IGESAppli_Array1OfFlow::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESAppli_Array1OfFlow& IGESAppli_Array1OfFlow::operator= | ( | const IGESAppli_Array1OfFlow & | Other | ) | `[inline]`

void IGESAppli_Array1OfFlow::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESAppli_Flow)& | Value
| ) |

Standard_Integer IGESAppli_Array1OfFlow::Upper | ( |  | ) | const

const Handle_IGESAppli_Flow& IGESAppli_Array1OfFlow::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESAppli_Array1OfFlow::isAllocated`[private]`

Standard_Integer IGESAppli_Array1OfFlow::myLowerBound`[private]`

Standard_Address IGESAppli_Array1OfFlow::myStart`[private]`

Standard_Integer IGESAppli_Array1OfFlow::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_Array1OfFlow.hxx